/*
 * controller.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * "Controllers" act as an interface between the LocalDungeonView (in
 * particular, LocalDungeonView::getStick) and the input device
 * itself.
 *
 */

#ifndef CONTROLLER_HPP
#define CONTROLLER_HPP

#include "map_support.hpp"

class Controller {
public:
	virtual ~Controller() { }

	// For now, controllers just have up/down/left/right/fire.

	virtual void get(MapDirection &dir, bool &centred, bool &fire_held,
					 bool &suicide_held) const = 0;

	// Cheat keys -- a slight hack. Controllers don't have to implement these
	// Return 0 for no cheat key, or 1+ if cheat key is pressed
	virtual int getCheatKey() const { return 0; }
};

#endif
