/*
 * sdl_pixels.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef SDL_PIXELS_HPP
#define SDL_PIXELS_HPP

struct SDL_Surface;

// Plot a pixel of a given colour at (x,y) (with origin (0,0) at TOP LEFT)
// NOTES: no range checking is done on input parameters;
// and the surface must be locked (this is not checked).
void PlotPixel(SDL_Surface *surf, int x, int y, int r, int g, int b);

// Read a pixel at (x,y). (Same notes as above apply.)
// The result is returned in R,G,B.
void ReadPixel(SDL_Surface *surf, int x, int y, int &r, int &g, int &b);

#endif
